<?php
require_once('../../../includes/load.php');
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
	$id = remove_junk($db->escape($_POST['detalle']));
    $actividad = remove_junk($db->escape($_POST['actividad']));
    $he_operario = remove_junk($db->escape($_POST['he_operario']));
    $cant_tractor = remove_junk($db->escape($_POST['cant_tractor']));
    $supervisor = remove_junk($db->escape($_POST['supervisor']));
    $fecha = remove_junk($db->escape($_POST['fecha']));
    $h_maquinas = remove_junk($db->escape($_POST['h_maquinas']));
    $tractorista = remove_junk($db->escape($_POST['tractorista']));
    $grupo = remove_junk($db->escape($_POST['grupo']));
    $operario = remove_junk($db->escape($_POST['operario']));
    $he_tractorista = remove_junk($db->escape($_POST['he_tractorista']));
    $he_maquina = remove_junk($db->escape($_POST['he_maquina']));
    $observacion = remove_junk($db->escape($_POST['observacion']));
    $fechaEntera = strtotime($fecha);
    $mes = date("n", $fechaEntera);
    $HEJornal = ($he_operario / 8);
    $HEJornalTractorista = ($he_tractorista / 8);

    
 
    $query ="UPDATE detalleoperacion SET Jornal='$operario',HorasExtras='$he_operario',HorasMaquina='$h_maquinas',HorasExtrasMaquina='$he_maquina',IdActividad='$actividad',IdSupervisor='$supervisor',IdGrupo='$grupo',FechaActividad='$fecha',IdMesIngresoRealizaActividad='$mes',ObservacionDetalleOperacion='$observacion',HEJornal='$HEJornal',CantidadTractor='$cant_tractor',JornalTractorista='$tractorista',HorasExtrasTractorista='$he_tractorista',HEJornalTractorista='$HEJornalTractorista' WHERE id = $id";

    if ($db->query($query)) {
        echo 'success';
    } else {
        echo 'fail';
    }
} 




            

